using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
    public interface IHostFaultsManager : IGenericManager<HostFaults>
	{
        IList<HostFaults> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        //IList<object[]> LoadCurrentHostFault(int hostID);

        IList<object[]> LoadHostFault(int hostID);

        //HostFaults Get(int hostID, string address, int type);

        void DeleteByAddress(string address, int roomTypeID);
	}
}
